import type { SVGProps } from 'react';
import type { ScalarValue } from '../../types.js';
export interface AnnotationDirectedEllipseProps extends Omit<SVGProps<SVGEllipseElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'cx' | 'cy' | 'rx' | 'ry' | 'x' | 'y' | 'width'> {
    x1: ScalarValue;
    y1: ScalarValue;
    x2: ScalarValue;
    y2: ScalarValue;
    width: ScalarValue;
    xAxis?: string;
    yAxis?: string;
}
export declare function DirectedEllipse(props: AnnotationDirectedEllipseProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=DirectedEllipse.d.ts.map