import type { SVGProps } from 'react';
import type { ScalarValue } from '../../types.js';
export interface AnnotationPolygonProps extends Omit<SVGProps<SVGPolygonElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'points'> {
    points: Array<{
        x: ScalarValue;
        y: ScalarValue;
    }>;
    xAxis?: string;
    yAxis?: string;
}
export declare function Polygon(props: AnnotationPolygonProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=Polygon.d.ts.map