import type { CSSProperties, MouseEventHandler } from 'react';
import type { ScalarValue } from '../../types.js';
export type AnnotationShapeName = 'triangle' | 'circle' | 'diamond' | 'square';
export interface AnnotationShapeProps {
    x: ScalarValue;
    y: ScalarValue;
    shape: AnnotationShapeName;
    size: number;
    xAxis?: string;
    yAxis?: string;
    style?: CSSProperties;
    color?: string;
    onMouseEnter?: MouseEventHandler<SVGGElement>;
    onMouseLeave?: MouseEventHandler<SVGGElement>;
}
export declare function Shape(props: AnnotationShapeProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=Shape.d.ts.map