import { jsx as _jsx } from "react/jsx-runtime";
import { AlignGroup } from 'react-d3-utils';
import VerticalText from '../VerticalText.js';
export default function VerticalAxisLabel(props) {
    const { plotHeight, label, labelStyle, horizontalAlign } = props;
    return (_jsx(AlignGroup, { x: 0, y: plotHeight / 2, horizontalAlign: horizontalAlign, verticalAlign: "middle", children: _jsx(VerticalText, { label: label, style: labelStyle }) }));
}
//# sourceMappingURL=VerticalAxisLabel.js.map