import type { CSSProperties, Ref } from 'react';
import type { PlotChildren } from '../../utils/splitChildren.js';
interface MainLayerProps {
    width: number;
    height: number;
    svgStyle: CSSProperties;
    svgId?: string;
    svgClassName?: string;
    plotViewportStyle?: CSSProperties;
    seriesViewportStyle?: CSSProperties;
    topOffset: number;
    leftOffset: number;
    plotWidth: number;
    plotHeight: number;
    plotId: string;
    series: PlotChildren['series'];
    topAxisRef: Ref<SVGGraphicsElement>;
    topAxis: PlotChildren['topAxis'];
    rightAxisRef: Ref<SVGGraphicsElement>;
    rightAxis: PlotChildren['rightAxis'];
    bottomAxisRef: Ref<SVGGraphicsElement>;
    bottomAxis: PlotChildren['bottomAxis'];
    leftAxisRef: Ref<SVGGraphicsElement>;
    leftAxis: PlotChildren['leftAxis'];
    headingRef: Ref<SVGGraphicsElement>;
    heading: PlotChildren['heading'];
}
export default function MainLayer(props: MainLayerProps): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=MainLayer.d.ts.map