import { createContext, useContext } from 'react';
export const legendContext = createContext(null);
export function useLegend() {
    const ctx = useContext(legendContext);
    if (!ctx) {
        throw new Error('context was not initialized');
    }
    return ctx;
}
//# sourceMappingURL=legendContext.js.map