import type { ControllerHookOptions, DualAxisOptions, RectangleOptions } from './types.js';
export interface UseDrawRectangleOptions extends ControllerHookOptions, DualAxisOptions, RectangleOptions {
    /**
     * Callback when releasing mouse at end of drawing.
     * */
    onEnd?: (rectangle: {
        x1: number;
        x2: number;
        y1: number;
        y2: number;
    }) => void;
}
export declare function useDrawRectangle(options?: UseDrawRectangleOptions): {
    annotations: import("react/jsx-runtime").JSX.Element | null;
};
//# sourceMappingURL=useDrawRectangle.d.ts.map