import type { LegendPosition } from '../components/Legend.js';
import type { PlotAxisState } from '../contexts/plotContext.js';
import type { Margins, VerticalPosition } from '../types.js';
export declare function usePlotSizes({ width, height, margin, axes, topAxisHeight, rightAxisWidth, bottomAxisHeight, leftAxisWidth, headingPosition, headingHeight, legendPosition, legendMargin, legendWidth, legendHeight, }: {
    width: number;
    height: number;
    margin: Margins;
    axes: Record<string, PlotAxisState>;
    topAxisHeight: number;
    rightAxisWidth: number;
    bottomAxisHeight: number;
    leftAxisWidth: number;
    headingPosition: VerticalPosition | null;
    headingHeight: number;
    legendPosition: LegendPosition | null;
    legendMargin: number;
    legendWidth: number;
    legendHeight: number;
}): {
    plotWidth: number;
    plotHeight: number;
    leftOffset: number;
    topOffset: number;
    legendOffset: number;
};
//# sourceMappingURL=usePlotSizes.d.ts.map