import type { SVGProps } from 'react';
import type { ScalarValue } from '../../types.js';
export interface AnnotationEllipseProps extends Omit<SVGProps<SVGEllipseElement>, 'x1' | 'x2' | 'y1' | 'y2' | 'cx' | 'cy' | 'rx' | 'ry'> {
    x: ScalarValue;
    y: ScalarValue;
    rx: ScalarValue;
    ry: ScalarValue;
    xAxis?: string;
    yAxis?: string;
}
export declare function Ellipse(props: AnnotationEllipseProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=Ellipse.d.ts.map