import type { SVGProps } from 'react';
import type { ScalarValue } from '../../types.js';
export interface AnnotationLineProps extends Omit<SVGProps<SVGLineElement>, 'x' | 'y' | 'x1' | 'x2' | 'y1' | 'y2' | 'stroke'> {
    x1: ScalarValue;
    x2: ScalarValue;
    y1: ScalarValue;
    y2: ScalarValue;
    xAxis?: string;
    yAxis?: string;
    color?: string;
}
export declare function Line(props: AnnotationLineProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=Line.d.ts.map