import type { ReactNode, SVGProps } from 'react';
import type { ScalarValue } from '../../types.js';
export interface AnnotationTextProps extends Omit<SVGProps<SVGTextElement>, 'x1' | 'y1' | 'x2' | 'y2' | 'x' | 'y' | 'fill'> {
    x: ScalarValue;
    y: ScalarValue;
    xAxis?: string;
    yAxis?: string;
    color?: string;
    children: ReactNode;
}
export declare function Text(props: AnnotationTextProps): import("react/jsx-runtime").JSX.Element;
//# sourceMappingURL=Text.d.ts.map