import { type CSSProperties } from 'react';
import type { BaseSeriesProps } from '../../types.js';
export interface RangeSeriesPoint {
    x: number;
    y1: number;
    y2: number;
}
export interface RangeSeriesProps<T extends RangeSeriesPoint> extends BaseSeriesProps {
    data: readonly T[];
    lineStyle?: CSSProperties;
}
declare function RangeSeriesInner<T extends RangeSeriesPoint>(props: RangeSeriesProps<T>): import("react/jsx-runtime").JSX.Element | null;
export declare const RangeSeries: import("react").MemoExoticComponent<typeof RangeSeriesInner>;
export {};
//# sourceMappingURL=RangeSeries.d.ts.map