import type { CSSProperties, ReactNode, Ref } from 'react';
import type { PlotChildren } from '../../utils/splitChildren.js';
interface AnnotationsTrackingLayerProps {
    width: number;
    height: number;
    svgStyle: CSSProperties;
    svgId?: string;
    svgClassName?: string;
    topOffset: number;
    leftOffset: number;
    legendOffset: number;
    legend: PlotChildren['legend'];
    legendRef: Ref<SVGGraphicsElement>;
    plotId: string;
    annotations: PlotChildren['annotations'];
    tracking: ReactNode | null;
}
export default function AnnotationsTrackingLayer(props: AnnotationsTrackingLayerProps): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=AnnotationsTrackingLayer.d.ts.map