import type { ControllerHookOptions } from '../../hooks/types.js';
import type { EventsHandlers, PlotEventsPlotActions, PlotEventsUserActions } from './usePlotEvents.js';
import { type PlotControls, type PlotOverridesState } from './usePlotOverrides.js';
export declare const plotOverridesContext: {
    useNestedContext: (id?: string) => PlotOverridesState;
    NestedContextProvider: (props: {
        id?: string;
        value: PlotOverridesState;
        children: import("react").ReactNode;
    }) => import("react/jsx-runtime").JSX.Element;
};
export declare function usePlotOverrides(options?: ControllerHookOptions): PlotOverridesState;
export declare const plotControlsContext: {
    useNestedContext: (id?: string) => PlotControls | null;
    NestedContextProvider: (props: {
        id?: string;
        value: PlotControls | null;
        children: import("react").ReactNode;
    }) => import("react/jsx-runtime").JSX.Element;
};
export declare function usePlotControls(options?: ControllerHookOptions): PlotControls;
export declare const plotEventsUserContext: {
    useNestedContext: (id?: string) => PlotEventsUserActions | null;
    NestedContextProvider: (props: {
        id?: string;
        value: PlotEventsUserActions | null;
        children: import("react").ReactNode;
    }) => import("react/jsx-runtime").JSX.Element;
};
export declare function usePlotEvents(handlers: EventsHandlers, options?: ControllerHookOptions): void;
export declare const plotEventsPlotContext: {
    useNestedContext: (id?: string) => PlotEventsPlotActions | null;
    NestedContextProvider: (props: {
        id?: string;
        value: PlotEventsPlotActions | null;
        children: import("react").ReactNode;
    }) => import("react/jsx-runtime").JSX.Element;
};
export declare function usePlotEventsPlotContext(options?: ControllerHookOptions): PlotEventsPlotActions | null;
//# sourceMappingURL=plotControllerContext.d.ts.map