import type { TrackingResult } from '../components/Tracking.js';
import type { ControllerHookOptions } from './types.js';
export type UseStartMoveEndCallback = (data: TrackingResult<PointerEvent>, start: UseStartMoveEndPosition, end: UseStartMoveEndPosition) => void;
export interface UseStartMoveEndOptions extends ControllerHookOptions {
    onStart?: UseStartMoveEndCallback;
    onMove?: UseStartMoveEndCallback;
    onEnd?: UseStartMoveEndCallback;
}
export interface UseStartMoveEndPosition {
    coordinates: Record<string, number>;
    clampedCoordinates: Record<string, number>;
}
export interface UseStartMoveEndState {
    start: UseStartMoveEndPosition;
    end?: UseStartMoveEndPosition;
}
export declare function useStartMoveEnd(options: UseStartMoveEndOptions): UseStartMoveEndState | null;
//# sourceMappingURL=useStartMoveEnd.d.ts.map